Bug 572763 - Bluetooth frequently loses mouse due to spontaneous disconnects
Bluetooth frequently loses mouse due to spontaneous disconnects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
12
i686 Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-11 18:10 EST by Johan Vromans
Modified: 2010-11-04 03:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 03:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Vromans 2010-03-11 18:10:34 EST
Description of problem:

Si670m (Kensington) Bluetooth wireless notebook mouse attached to bluetooth dongel or internal bluetooth. During normal operations, the mouse very often stops responding completely. Sometimes it resumes after a couple of seconds (the system shows some disk activity just before the resume). Sometimes it disconnects and reconnects. Sometimes it disconnects and needs manual reconnection.

When this happens, hcidump sometimes shows mode changes like

> HCI Event: Mode Change (0x14) plen 6
> HCI Event: Mode Change (0x14) plen 6

but more often it is

< HCI Command: Reset (0x03|0x0003) plen 0
device: disconnected

No messages appear in the system log.

Using the mouse for real work is almost impossible.

Additional info:

F12 with all updates as of today.
Comment 1 Johan Vromans 2010-03-12 03:06:00 EST
I do see frequent messages in the session log that seem to correspond to the connection outages:

(bluetooth-applet:2402): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:2402): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed
Comment 2 Robert Nichols 2010-03-19 17:17:41 EDT
I find that reverting back to kernel-2.6.31.12-174.2.22.fc12 completely solves the problem for me.  The problem is bad in kernel-2.6.32.9-67 and much worse in kernel-2.6.32.9-70.
Comment 3 Bug Zapper 2010-11-03 16:03:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Johan Vromans 2010-11-04 03:21:49 EDT
Seems to have been solved in a newer (kernel?) release.
Works okay with F14.

Note You need to log in before you can comment on or make changes to this bug.